Bug 1020018 - Wi-fi randomly break after kernel 3.11.4 update
Wi-fi randomly break after kernel 3.11.4 update
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fedora-kernel-wireless-iwl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 15:25 EDT by Adrien D
Modified: 2013-12-17 01:14 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-17 01:14:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg | grep iwl (65.01 KB, text/plain)
2013-10-16 16:03 EDT, Adrien D
no flags Details

  None (edit)
Description Adrien D 2013-10-16 15:25:45 EDT
Description of problem:

After I have updated my system to kernel 3.11.4 my wi-fi randomly break.
I already have this problem with previous update (kernel 3.11.2, but after 4-5 days, the problem is gone. (I can not find the bug previously opened, sorry...)
Ethernet works perfectly.

Version-Release number of selected component (if applicable):

Fedora 19 x86_64 

How reproducible:




Steps to Reproduce:
1. Update the system to kernel 3.11.4
2. Reboot
3. Wait 30mns - 1 hour and note.

Actual results:


Expected results:


Additional info:

 # uname -a
Linux superlinux 3.11.4-201.fc19.x86_64 #1 SMP Thu Oct 10 14:11:18 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


# lspci | grep -i wireless
03:00.0 Network controller: Intel Corporation Centrino Wireless-N 2230 (rev ff)

# tailf /var/log/messages
Oct 16 21:12:06 superlinux NetworkManager[912]: <info> (wlp3s0): bringing up device.
Oct 16 21:12:06 superlinux NetworkManager[912]: <info> WiFi hardware radio set enabled
Oct 16 21:12:06 superlinux NetworkManager[912]: <info> WiFi now enabled by radio killswitch
Oct 16 21:12:06 superlinux kernel: [ 4822.344503] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
Oct 16 21:12:06 superlinux kernel: [ 4822.396582] iwlwifi 0000:03:00.0: Radio type=0x2-0x0-0x0
Oct 16 21:12:19 superlinux kernel: [ 4828.071010] iwlwifi 0000:03:00.0: Failed to load firmware chunk!
Oct 16 21:12:19 superlinux kernel: [ 4828.071016] iwlwifi 0000:03:00.0: Could not load the [0] uCode section
Oct 16 21:12:19 superlinux kernel: [ 4828.071023] iwlwifi 0000:03:00.0: Failed to start RT ucode: -110
Oct 16 21:12:19 superlinux kernel: [ 4829.862666] iwlwifi 0000:03:00.0: Failing on timeout while stopping DMA channel 0 [0x5a5a5a5a]
Oct 16 21:12:19 superlinux kernel: [ 4831.670250] iwlwifi 0000:03:00.0: Failing on timeout while stopping DMA channel 2 [0x5a5a5a5a]
Oct 16 21:12:19 superlinux kernel: [ 4833.513331] iwlwifi 0000:03:00.0: Failing on timeout while stopping DMA channel 5 [0x5a5a5a5a]
Oct 16 21:12:19 superlinux kernel: [ 4835.323777] iwlwifi 0000:03:00.0: Failing on timeout while stopping DMA channel 7 [0x5a5a5a5a]
Oct 16 21:12:21 superlinux NetworkManager[912]: <info> (wlp3s0): bringing up device.
Oct 16 21:12:21 superlinux kernel: [ 4837.100696] iwlwifi 0000:03:00.0: Unable to initialize device.
Oct 16 21:12:21 superlinux kernel: [ 4837.101537] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
Oct 16 21:12:21 superlinux kernel: [ 4837.153484] iwlwifi 0000:03:00.0: Radio type=0x2-0x0-0x0
Oct 16 21:12:32 superlinux kernel: [ 4842.828138] iwlwifi 0000:03:00.0: Failed to load firmware chunk!
Oct 16 21:12:32 superlinux kernel: [ 4842.828148] iwlwifi 0000:03:00.0: Could not load the [0] uCode section
Oct 16 21:12:32 superlinux kernel: [ 4842.828159] iwlwifi 0000:03:00.0: Failed to start RT ucode: -110
Oct 16 21:12:32 superlinux kernel: [ 4844.615751] iwlwifi 0000:03:00.0: Failing on timeout while stopping DMA channel 0 [0x5a5a5a5a]
Oct 16 21:12:32 superlinux kernel: [ 4846.422261] iwlwifi 0000:03:00.0: Failing on timeout while stopping DMA channel 2 [0x5a5a5a5a]
Oct 16 21:12:32 superlinux kernel: [ 4847.712802] [drm:__gen6_gt_force_wake_mt_get] *ERROR* Timed out waiting for forcewake to ack request.
Oct 16 21:12:34 superlinux kernel: [ 4848.262520] iwlwifi 0000:03:00.0: Failing on timeout while stopping DMA channel 5 [0x5a5a5a5a]
Oct 16 21:12:34 superlinux kernel: [ 4850.067082] iwlwifi 0000:03:00.0: Failing on timeout while stopping DMA channel 7 [0x5a5a5a5a]
Oct 16 21:12:35 superlinux kernel: [ 4850.935767] [drm:__gen6_gt_force_wake_mt_get] *ERROR* Timed out waiting for forcewake to ack request.
Oct 16 21:12:35 superlinux kernel: [ 4851.439889] [drm:__gen6_gt_force_wake_mt_get] *ERROR* Timed out waiting for forcewake to ack request.
Oct 16 21:12:36 superlinux kernel: [ 4851.840268] iwlwifi 0000:03:00.0: Unable to initialize device.
Oct 16 21:13:33 superlinux kernel: [ 4909.226087] alx 0000:04:00.0 p3p1: NIC Up: 100 Mbps Full
Oct 16 21:13:33 superlinux kernel: [ 4909.226337] IPv6: ADDRCONF(NETDEV_CHANGE): p3p1: link becomes ready
Comment 1 Adrien D 2013-10-16 15:28:19 EDT
I find my previous bug : https://bugzilla.redhat.com/show_bug.cgi?format=multiple&id=1015908

3.11.2 : Not OK
3.11.3 : OK
3.11.4 : Not OK.
Comment 2 Adrien D 2013-10-16 16:03:50 EDT
Created attachment 813099 [details]
dmesg | grep iwl
Comment 3 Adrien D 2013-10-16 16:24:09 EDT
If you want more details, ask me, I'm not used to open  bugs on bugzilla.
Comment 4 Emmanuel Grumbach 2013-10-17 01:10:58 EDT
no diff between 3.11.3 and 3.11.4 in mac803211 / cfg80211 / iwlwifi / PCI subsytem.

PCI transaction seem to fail.
Can you please shutdown your computer, remove the battery wait a few seconds and try again?
Comment 5 Stanislaw Gruszka 2013-10-17 06:15:09 EDT
This seems not to be 3.11.3 -> 3.11.4 regression, but random issue which manifest itself on 3.11.2 and 3.11.4 . If you never seen that before on earlier kernels we probably can assume that it is 3.10 -> 3.11 regression.
Comment 6 Adrien D 2013-10-17 11:06:04 EDT
Yes, i found on the internet a people who have the same prolem.
I test wireless connection without battery.
Comment 7 Adrien D 2013-10-17 15:47:45 EDT
Hi,

After 5 hours , without battery, no problems (no break) but, there are slowdowns.

See that (I truncated the results, but about a ping of 5 is "slow", knowing that my internet connection is correct) :



$ ping google.fr
PING google.fr (173.194.70.94) 56(84) bytes of data.
64 bytes from fa-in-f94.1e100.net (173.194.70.94): icmp_seq=2 ttl=47 time=818 ms
64 bytes from fa-in-f94.1e100.net (173.194.70.94): icmp_seq=3 ttl=47 time=34.0 ms
64 bytes from fa-in-f94.1e100.net (173.194.70.94): icmp_seq=4 ttl=47 time=30.8 ms
64 bytes from fa-in-f94.1e100.net (173.194.70.94): icmp_seq=5 ttl=47 time=32.3 ms
64 bytes from fa-in-f94.1e100.net (173.194.70.94): icmp_seq=6 ttl=47 time=29.8 ms
64 bytes from fa-in-f94.1e100.net (173.194.70.94): icmp_seq=7 ttl=47 time=848 ms
64 bytes from fa-in-f94.1e100.net (173.194.70.94): icmp_seq=8 ttl=47 time=30.1 ms
64 bytes from fa-in-f94.1e100.net (173.194.70.94): icmp_seq=9 ttl=47 time=29.8 ms
64 bytes from fa-in-f94.1e100.net (173.194.70.94): icmp_seq=10 ttl=47 time=30.7 ms
64 bytes from fa-in-f94.1e100.net (173.194.70.94): icmp_seq=11 ttl=47 time=77.1 ms
64 bytes from fa-in-f94.1e100.net (173.194.70.94): icmp_seq=12 ttl=47 time=38.5 ms
64 bytes from fa-in-f94.1e100.net (173.194.70.94): icmp_seq=13 ttl=47 time=793 ms
64 bytes from fa-in-f94.1e100.net (173.194.70.94): icmp_seq=14 ttl=47 time=30.2 ms
Comment 8 Adrien D 2013-10-18 15:26:17 EDT
OK, 5 hours of uptime today with the battery and I have not encountered any problems.

It's like he took some time for the newly installed RPM package "understand" how to function. It's strange ....

I manifest this weekend to close the bug if I have not had any problems again.
Comment 9 Adrien D 2013-10-18 15:26:51 EDT
OK, 5 hours of uptime today with the battery and I have not encountered any problems.

Ping is correct today.

It's like he took some time for the newly installed RPM package "understand" how to function. It's strange ....

I manifest this weekend to close the bug if I have not had any problems again.
Comment 10 Adrien D 2013-10-21 02:06:52 EDT
Hi,

Today : uptime : 14hours, and no troubles with wi-fi.

It's OK for me.

Just remove the battery solve this problem ? It's strange ... It would be a coincidence between the kernel update and power problem?

In short, it is set !
Comment 11 Emmanuel Grumbach 2013-12-08 04:20:02 EST
I guess we can close?
Comment 12 Adrien D 2013-12-08 04:45:57 EST
Hi,

I forgot this bug ...

No, I can't close it, because, with kernel 3.11.8 and 3.11.9, I have this problem.

I tested with and without battery, it's the same.

When I can, I connect my laptop with an Ethernet cable... Because the Wi-Fi still not working correctly.
Comment 13 Adrien D 2013-12-15 04:08:51 EST
Actually, my uptime is 20hours and Wi-Fi works perfectly (kernel 3.11.10)

I don't understand....
Comment 14 Adrien D 2013-12-17 01:14:15 EST
I Close the bug : CLOSED INSUFFICIENT_DATA, but I don't know if it's the good status.

Note You need to log in before you can comment on or make changes to this bug.